#version 410 core

in vec3 vertexPosition;
in vec3 vertexNormal;
in vec2 vertexUVCoord;

uniform sampler2D tex1;
uniform sampler2D tex2;
uniform sampler2D tex3;

uniform vec3 lightPosition = vec3(-2500.0, 2500.0, 1000.0);
vec4 lightColor = vec4(1.0, 1.0, 1.0, 1.0);

struct SpotLight {
    //Positions- und Beleuchtungs-Angaben
    vec3 position;  
    vec3 direction;
    vec3 color;

    //Gren der inneren und usseren Beleuchtungskreise
    float innerCone;  //cos(rad(wert))
    float outerCone; //cos(rad(wert))

    //Faktoren fr Lichtabschwchung auf Distanz
    float constant;
    float linear;
    float quadratic;
}; 

uniform vec3 spotlightPosition;
uniform vec3 spotlightDirection;
uniform vec3 spotlightColor;
uniform int night;

SpotLight spotLight = SpotLight(spotlightPosition, //position
                                spotlightDirection, //direction
                                spotlightColor,  //color
                                0.976, 0.953, //innerCone = cos(rad(12.5)), outerCone = cos(rad(17.5))
                                1.0, 0.004, 0.000007); //Lichtabschwaechung

layout(location=0) out vec4 fragmentColor;

void main()
{
    fragmentColor = vec4(0.0, 0.0, 0.0, 0.8);
}