#version 410

layout(location = 0) in vec3 position;

out vec4 clipSpace;
out vec4 worldPosition;
out vec2 textureCoords;

uniform mat4 VP;
uniform mat4 M;
uniform float maxPosition;

const float tiling = 50.0;

void main(void) {
	
	worldPosition = M * vec4(position, 1.0);
	clipSpace = VP * worldPosition;
	gl_Position = clipSpace;
 	textureCoords = vec2(position.x / (maxPosition * 2.0) + 0.5, position.z / (maxPosition * 2.0) + 0.5) * tiling;
}